io.vertx.ext.auth.jwt

## Interface JWTAuth

- All Superinterfaces:
    AuthProvider

      public interface JWTAuth
      extends AuthProvider

  Factory interface for creating JWT based `AuthProvider` instances.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuth` | `create(Vertx vertx, JsonObject config)` Deprecated.
    `static JWTAuth` | `create(Vertx vertx, JWTAuthOptions config)` Create a JWT auth provider
    `default String` | `generateToken(JsonObject claims)` Generate a new JWT token.
    `String` | `generateToken(JsonObject claims, io.vertx.ext.jwt.JWTOptions options)` Generate a new JWT token.

    - ### Methods inherited from interface io.vertx.ext.auth.AuthProvider

      `authenticate`

- - ### Method Detail

    - #### create

          @Deprecated
          static JWTAuth create(Vertx vertx,
                                            JsonObject config)

      Deprecated.
      Create a JWT auth provider
      Parameters:
        `vertx` - the Vertx instance
        `config` - the config
      Returns:
        the auth provider

    - #### create

          static JWTAuth create(Vertx vertx,
                                JWTAuthOptions config)

      Create a JWT auth provider
      Parameters:
        `vertx` - the Vertx instance
        `config` - the config
      Returns:
        the auth provider

    - #### generateToken

          String generateToken(JsonObject claims,
                               io.vertx.ext.jwt.JWTOptions options)

      Generate a new JWT token.
      Parameters:
        `claims` - Json with user defined claims for a list of official claims
        `options` - extra options for the generation
      Returns:
        JWT encoded token
      See Also:
        www.iana.org/assignments/jwt/jwt.xhtml

    - #### generateToken

          default String generateToken(JsonObject claims)

      Generate a new JWT token.
      Parameters:
        `claims` - Json with user defined claims for a list of official claims
      Returns:
        JWT encoded token
      See Also:
        www.iana.org/assignments/jwt/jwt.xhtml

Copyright © 2018 Eclipse. All rights reserved.